> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qa.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# List test cases

> List test cases for a project



## OpenAPI

````yaml /api-reference/api.json get /v1/test-cases
openapi: 3.0.0
info:
  title: QA.tech API
  version: 1.0.0
  contact:
    name: QA.tech
    url: https://qa.tech
    email: support@qa.tech
  description: >-
    REST API for triggering and managing AI-powered test runs. Authenticate with
    a project API token (Authorization: Bearer <token>) found in Project
    Settings -> Integrations.
servers:
  - url: https://api.qa.tech
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Runs
  - name: Infrastructure
  - name: Test Cases
  - name: Application Builds
  - name: Status badge
  - name: Remote Tunnels
  - name: Chat
  - name: Applications
paths:
  /v1/test-cases:
    get:
      tags:
        - Test Cases
      summary: List test cases
      description: List test cases for a project
      operationId: ListTestCases
      parameters:
        - name: query
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ListTestCasesQuery'
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTestCasesResponse'
components:
  schemas:
    ListTestCasesQuery:
      type: object
      properties:
        applicationShortId:
          $ref: '#/components/schemas/ApplicationShortId'
        labels:
          type: string
        isEnabled:
          type: boolean
        limit:
          type: integer
          format: int32
        offset:
          type: integer
          format: int32
    ListTestCasesResponse:
      type: object
      required:
        - testCases
        - total
        - limit
        - offset
      properties:
        testCases:
          type: array
          items:
            $ref: '#/components/schemas/ListTestCaseItem'
        total:
          type: integer
          format: int32
        limit:
          type: integer
          format: int32
        offset:
          type: integer
          format: int32
    ApplicationShortId:
      type: string
      pattern: ^app(-.+_.+|_.+)$
    ListTestCaseItem:
      type: object
      required:
        - id
        - name
        - isEnabled
        - labels
        - classification
        - applicationShortId
        - applicationName
        - goal
        - createdAt
      properties:
        id:
          type: string
        name:
          type: string
        isEnabled:
          type: boolean
        labels:
          type: array
          items:
            type: string
        classification:
          type: string
        applicationShortId:
          $ref: '#/components/schemas/ApplicationShortId'
        applicationName:
          type: string
        goal:
          type: string
          nullable: true
        createdAt:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````